[CMake][runtimes] Set compiler as working even for default target
ClosedPublic

Authored by phosek on Nov 6 2017, 11:41 PM.

Details

Summary

Even when building builtins and runtimes for the default target
we shouldn't assume that the just built compiler is already useable.
When the compiler uses compiler-rt and libc++ as the default runtime
and C++ library, it won't be usable until we finish building runtimes.

Diff Detail

Repository
rL LLVM
phosek created this revision.Nov 6 2017, 11:41 PM
beanz added a comment.Nov 8 2017, 9:25 AM

One comment inline below.

runtimes/CMakeLists.txt
88 ↗(On Diff #121841)

Why is this removed? Your comments don't explain this part of the change.

phosek updated this revision to Diff 122399.Nov 10 2017, 12:23 AM
phosek marked an inline comment as done.
phosek added inline comments.Nov 10 2017, 11:21 AM
runtimes/CMakeLists.txt
88 ↗(On Diff #121841)

This change is orthogonal to this one so I'll split it into a separate patch.

beanz accepted this revision.Nov 13 2017, 2:15 PM

LGTM.

This revision is now accepted and ready to land.Nov 13 2017, 2:15 PM
This revision was automatically updated to reflect the committed changes.